Bug 692466 - Review Request: rubygem-kwalify - A parser and schema validator for YAML and JSON
Summary: Review Request: rubygem-kwalify - A parser and schema validator for YAML and ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Oxana Kurysheva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 12:16 UTC by Marek Goldmann
Modified: 2011-05-01 18:52 UTC (History)
4 users (show)

Fixed In Version: rubygem-kwalify-0.7.2-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-20 03:26:15 UTC
okurysheva: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-03-31 12:16:13 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-kwalify.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/rubygem-kwalify-0.7.2-1.fc14.src.rpm
Description: Kwalify is a parser, schema validator, and data binding tool for YAML and JSON.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2963270

Comment 1 Oxana Kurysheva 2011-03-31 14:00:55 UTC
I'll review it

Comment 2 Oxana Kurysheva 2011-03-31 15:55:07 UTC
The spec has one problem with the compliance with the guidelines. Please, fix this issue.
* Add ----%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")---- to the spec


rmplint is silent:
rpmlint rubygem-kwalify-0.7.2-1.fc14.src.rpm 
rubygem-kwalify.src: W: spelling-error Summary(en_US) validator -> invalidator, validation, validate
rubygem-kwalify.src: W: spelling-error %description -l en_US validator -> invalidator, validation, validate
---- This two may be omitted.
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

I can't find any other issues.

Comment 3 Vít Ondruch 2011-04-07 10:26:33 UTC
If I may suggest, it is better to use "gem install --bindir DIR" instead of the magical four lines bellow gem install.

Also the "rm -rf %{buildroot}" at the top of %install and %clean section are no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
i.e. whole %clean section could be removed in your case.

Comment 4 Marek Goldmann 2011-04-07 12:13:16 UTC
Oxana, Vit,

Thank you for input, I'll shortly have updated version for you.

Comment 5 Marek Goldmann 2011-04-07 22:05:44 UTC
Updated files:

Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-kwalify.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/rubygem-kwalify-0.7.2-2.fc14.src.rpm

Oxana, it looks like the ruby_sitelib line is not required for rubygems (my previous rubygems submitted and accepted for Fedora didn't have this line). It's only required for pure Ruby applications. 

Vit, I cleaned the spec file.

Thank you!

Comment 6 Vít Ondruch 2011-04-08 08:43:36 UTC
(In reply to comment #5)
> Updated files:
> 
> Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-kwalify.spec
> SRPM URL:
> http://goldmann.fedorapeople.org/package_review/rubygem-kwalify-0.7.2-2.fc14.src.rpm
> 
> Oxana, it looks like the ruby_sitelib line is not required for rubygems (my
> previous rubygems submitted and accepted for Fedora didn't have this line).
> It's only required for pure Ruby applications. 

That is true. You don't need the line.

> Vit, I cleaned the spec file.

The "find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x" is not required IMO.

* Licensing
  - What is the reason for "and LGPLv2"? I see everywhere mentioned just MIT

* Test suite
  - It would be nice if you could execute the testsuite during build process.

* setup.rb could be move into -doc subpackage, since it is not essential
  for runtime

Comment 7 Marek Goldmann 2011-04-08 18:43:38 UTC
(In reply to comment #6)
> The "find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x" is not
> required IMO.

Checked, confirmed, removed.

> * Licensing
>   - What is the reason for "and LGPLv2"? I see everywhere mentioned just MIT

The setup.rb file has this license. Moved the license to -doc package, see below.

> * Test suite
>   - It would be nice if you could execute the testsuite during build process.

Agree. I looked at the tests and it failed for me locally, I tried to find the workaround to create a patch, but it can take more time than I want to spend on this.

> * setup.rb could be move into -doc subpackage, since it is not essential
>   for runtime

Agree and done.

Updated files:

Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-kwalify.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/rubygem-kwalify-0.7.2-3.fc14.src.rpm

Comment 8 Marek Goldmann 2011-04-13 11:57:07 UTC
Ping? I'm quite short on time as this is a dependency of my project. Thanks!

Comment 9 Vít Ondruch 2011-04-13 12:04:17 UTC
Oxana? Are you going to finish the review? Or should I do it?

Comment 10 Oxana Kurysheva 2011-04-13 15:08:19 UTC
Vit, you were so active that I can't say anything else. :) 

So this package is APPROVED.

Comment 11 Marek Goldmann 2011-04-13 16:01:38 UTC
Oxana, Vit -- thank you very much!

New Package SCM Request
=======================
Package Name:      rubygem-kwalify
Short Description: A parser and schema validator for YAML and JSON
Owners:            goldmann
Branches:          f13 f14 f15 el5 el6

Comment 12 Jason Tibbitts 2011-04-14 03:31:24 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-04-14 17:14:08 UTC
rubygem-kwalify-0.7.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-kwalify-0.7.2-3.fc14

Comment 14 Fedora Update System 2011-04-14 17:14:16 UTC
rubygem-kwalify-0.7.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-kwalify-0.7.2-3.fc13

Comment 15 Fedora Update System 2011-04-14 17:14:24 UTC
rubygem-kwalify-0.7.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-kwalify-0.7.2-3.fc15

Comment 16 Fedora Update System 2011-04-14 18:12:11 UTC
rubygem-kwalify-0.7.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rubygem-kwalify-0.7.2-3.el5

Comment 17 Fedora Update System 2011-04-14 18:12:18 UTC
rubygem-kwalify-0.7.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-kwalify-0.7.2-3.el6

Comment 18 Fedora Update System 2011-04-15 04:32:53 UTC
rubygem-kwalify-0.7.2-3.fc15 has been pushed to the Fedora 15 testing repository.

Comment 19 Fedora Update System 2011-04-20 03:26:09 UTC
rubygem-kwalify-0.7.2-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 20 Fedora Update System 2011-04-21 22:23:41 UTC
rubygem-kwalify-0.7.2-3.fc13 has been pushed to the Fedora 13 stable repository.

Comment 21 Fedora Update System 2011-04-21 22:24:36 UTC
rubygem-kwalify-0.7.2-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 22 Fedora Update System 2011-05-01 18:51:39 UTC
rubygem-kwalify-0.7.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 23 Fedora Update System 2011-05-01 18:52:33 UTC
rubygem-kwalify-0.7.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.